#!/bin/bash

set -x
set -e

source_dir=chain33
dir1=tmp/
dir2=$dir1/chain33

[ -e $source_dir/$dir1 ] && rm $source_dir/$dir1 -rf
mkdir $source_dir/$dir2 -p

cd $source_dir
cp chain33 chain33.conf bityuan  bityuan.toml  $dir2
cp bityuan-cli $dir2/chain33-cli

cd $dir1
tar zcf bityuan_ubuntu.tgz chain33
cd ..

cp bityuan.lite.toml $dir2/bityuan.toml
cd $dir1
tar zcf bityuan_ubuntu-lite.tgz chain33
cd ..
